summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakub Moc <jakub@gentoo.org>2007-09-16 00:55:49 +0000
committerJakub Moc <jakub@gentoo.org>2007-09-16 00:55:49 +0000
commit31bf364672c89d97c8db0a2b7be14cc984026db1 (patch)
treed1b7a2a648a64d7fcfd1dc43c0928e76c7f85b4e /www-apps
parentWhitespace (diff)
downloadwebapps-experimental-31bf364672c89d97c8db0a2b7be14cc984026db1.tar.gz
webapps-experimental-31bf364672c89d97c8db0a2b7be14cc984026db1.tar.bz2
webapps-experimental-31bf364672c89d97c8db0a2b7be14cc984026db1.zip
www-apps/cake: New ebuild, Bug 141618
svn path=/experimental/; revision=656
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/cake/ChangeLog8
-rw-r--r--www-apps/cake/Manifest5
-rw-r--r--www-apps/cake/cake-1.1.17.5612.ebuild63
-rw-r--r--www-apps/cake/files/postinstall-en.txt31
-rw-r--r--www-apps/cake/metadata.xml5
5 files changed, 112 insertions, 0 deletions
diff --git a/www-apps/cake/ChangeLog b/www-apps/cake/ChangeLog
new file mode 100644
index 0000000..a052617
--- /dev/null
+++ b/www-apps/cake/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for www-apps/cake
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 16 Sep 2007; Jakub Moc <jakub@gentoo.org> +files/postinstall-en.txt,
+ +metadata.xml, +cake-1.1.17.5612.ebuild:
+ New ebuild, Bug 141618
+
diff --git a/www-apps/cake/Manifest b/www-apps/cake/Manifest
new file mode 100644
index 0000000..7294acf
--- /dev/null
+++ b/www-apps/cake/Manifest
@@ -0,0 +1,5 @@
+AUX postinstall-en.txt 1087 RMD160 27a49e407a0971627b18a9894beae430da1a95d8 SHA1 aaafe11d12f269dda002bd5e99341ba800801c85 SHA256 d57b04a64a34cc3f3825c1d36c16359529fef6a20e727975d6bf2ee491343b06
+DIST cake_1.1.17.5612.tar.bz2 160095 RMD160 38a4878be03894352906735215dcb00a81fd3770 SHA1 7d759b1e652404801d42a7e2287cab49db5288ec SHA256 519c4e02017211c5c8fc8a41add5a274dcabb8785de4d360a734969d63f5f1a4
+EBUILD cake-1.1.17.5612.ebuild 1764 RMD160 0d1549eba930abc7793bacee9417f17d68d5ecb6 SHA1 6206b111e16da388b2e995308503ff50e6cf84d4 SHA256 8ac9d0d47f1cff0fb313f6fd82d3b84f24ecd10f63a06d409fddfcdc5640de60
+MISC ChangeLog 254 RMD160 0c8ad1394759377ec1dbb95012b7a19c101f8455 SHA1 e86f6a87669e9823301a7e7c4d2f8d9b4e008001 SHA256 604eeaeba40665db35094e4d6b874e37e54622c04d64c7f06c89d2754d8f0f49
+MISC metadata.xml 162 RMD160 0b015f5ff17c4d8e7aee826d48b326cc19b1fed4 SHA1 671b30dafbea01228c8bb606af451a0795922840 SHA256 84ff2fc6c9a4af1b9dbe32aa81ab84c2958bc1bd65a9977686df2dcab6e420d0
diff --git a/www-apps/cake/cake-1.1.17.5612.ebuild b/www-apps/cake/cake-1.1.17.5612.ebuild
new file mode 100644
index 0000000..70cea37
--- /dev/null
+++ b/www-apps/cake/cake-1.1.17.5612.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit webapp depend.php
+
+DESCRIPTION="A rapid development framework for PHP"
+HOMEPAGE="http://cakephp.org/"
+
+# Ugly hack until the source is provided w/o going through the donation
+# interstitial and to handle the underscore...
+MY_P="${PN}_${PV}"
+DLID="503"
+SRC_URI="http://cakeforge.org/frs/download.php/${DLID}/${MY_P}.tar.bz2/donation=complete/${MY_P}.tar.bz2"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+IUSE="adodb"
+
+RDEPEND="virtual/httpd-cgi
+ adodb? ( dev-php/adodb )"
+
+need_php_httpd
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup () {
+ webapp_pkg_setup
+
+ local flags="xml session"
+ local dbflags="mysql postgres sqlite"
+ if ! PHPCHECKNODIE="yes" require_php_with_use ${flags} || \
+ ( ! use adodb && ! PHPCHECKNODIE="yes" require_php_with_any_use ${dbflags} ) ; then
+ die "Re-install ${PHP_PKG} with ${flags} and at least one of ${dbflags} USE flags enabled."
+ elif
+ use adodb && ! PHPCHECKNODIE="yes" require_php_with_any_use ${dbflags} ; then
+ ewarn
+ ewarn "Assuming you are going to use ADOdb wrapper for database backend."
+ ewarn "You are on you own with this. Unless you know what you are doing,"
+ ewarn "you should re-emerge ${PHP_PKG} with at least one of"
+ ewarn "${dbflags} USE flags enabled."
+ else
+ einfo "All PHP checks passed, continue..."
+ fi
+}
+
+src_install() {
+ webapp_src_preinst
+
+ dodoc docs/*
+ rm -rf docs/
+
+ cp app/config/database.php.default app/config/database.php
+ cp -r . "${D}"/${MY_HTDOCSDIR}
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/app/tmp
+ for i in app/config/*.php ; do
+ webapp_configfile ${MY_HTDOCSDIR}/app/config/${i}
+ done
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+
+ webapp_src_install
+}
diff --git a/www-apps/cake/files/postinstall-en.txt b/www-apps/cake/files/postinstall-en.txt
new file mode 100644
index 0000000..d79c788
--- /dev/null
+++ b/www-apps/cake/files/postinstall-en.txt
@@ -0,0 +1,31 @@
+1. DATABASE SETUP
+
+It is generally necessary to create a database - mysql, postgresql
+or sqlite (or any other supported by ADOdb wrapper) first.
+
+After that, configure your database in app/config/database.php
+
+2. WEBSERVER SETUP
+
+If you ARE using apache AND mod_rewrite is working then use
+http://${VHOST_HOSTNAME}/${VHOST_APPDIR}/ to access ${PN} via
+your browser.
+
+If you are NOT using apache OR if mod_rewrite is not working
+you will need to remove the comment from app/config/core.php:
+
+ around line 40: define ('BASE_URL', env('SCRIPT_NAME'));
+
+Then access ${PN} using http://${VHOST_HOSTNAME}/${VHOST_APPDIR}/index.php/pages
+to verify installation is working
+
+If mod_rewrite IS working but do NOT wish to use it, then remove the comment
+from app/config/core.php and additionally you must delete or rename .htaccess
+
+3. ADDITIONAL INFO
+
+Please read http://manual.cakephp.org/chapter/installing for detailed info on
+setting up ${PN}.
+
+Help the Cake Software Foundation grow CakePHP! Please consider donating
+or contributing. Visit http://www.cakephp.org for more info.
diff --git a/www-apps/cake/metadata.xml b/www-apps/cake/metadata.xml
new file mode 100644
index 0000000..6632069
--- /dev/null
+++ b/www-apps/cake/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>web-apps</herd>
+</pkgmetadata>